<?php

	if ( function_exists('register_sidebar') )
    register_sidebar(array(
		'name' => 'Main Sidebar',
        'before_widget' => '<div class="widget">',
        'after_widget' => '</div>',
        'before_title' => '<h2>',
        'after_title' => '</h2>',
    ));
	
	if ( function_exists('register_sidebar') )
    register_sidebar(array(
		'name' => 'Footer Sidebar',
        'before_widget' => '<div class="widget grid_3">',
        'after_widget' => '</div>',
        'before_title' => '<h2>',
        'after_title' => '</h2>',
    ));

	function the_breadcrumb() {
		$category = get_the_category();
		echo '<strong>Browse: </strong>';
		echo '<a href="'.get_bloginfo('url').'">Home</a> &rarr; ';
		if(!is_home() && !is_page()) {
			
			echo '<a href="'.get_category_link($category[0]->cat_ID).'">'.$category[0]->cat_name.'</a> &rarr; ';
			echo get_the_title();
		}
		elseif(is_page()) {
			$page = get_page(get_the_ID());
			
			if ($page->post_parent == 0){
				echo $page->post_name;
			}
			else {
				echo '<a href="'.get_permalink($page->post_parent).'">'.get_the_title($page->post_parent).'</a> &rarr; ';
				echo get_the_title();
			}
		}
	}
	
	function wp_catch_first_image($image_size = '',$return_empty = false) {  
		global $post, $posts;  
		$first_img = '';  
		ob_start();  
		ob_end_clean();  
		$output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);  
		$first_img = $matches [1] [0];
	  	if(empty($first_img) && $return_empty == false){
			if($image_size == 's') {
				$first_img = bloginfo('template_directory')."/images/thumb_small.jpg";
			}
			else if($image_size == 'm') {
				$first_img = bloginfo('template_directory')."/images/thumb_medium.jpg";
			}
			else if($image_size == 'l') {
				$first_img = bloginfo('template_directory')."/images/thumb_large.jpg";
			}
			else {
				$first_img = bloginfo('template_directory')."/images/default.jpg";
			}
		}  
		
		return $first_img;  
  	}

	function wp_related_posts($postid) {
		$tags = wp_get_post_tags($postid);
		if ($tags) {
			$tag_ids = array();
			foreach($tags as $individual_tag) $tag_ids[] = $individual_tag->term_id;
		
			$args=array(
				'tag__in' => $tag_ids,
				'post__not_in' => array($post->ID),
				'showposts'=>5, // Number of related posts that will be shown.
				'caller_get_posts'=>1
			);
			$related_post = new wp_query($args);
			if( $related_post->have_posts() ) {
				while ($related_post->have_posts()) {
					$related_post->the_post();
				?>
					<li><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></li>
				<?php
				}
			}
		}
	}

	function wp_popular_posts() {
		global $wpdb;
		
		$result = $wpdb->get_results("SELECT comment_count,ID,post_title FROM $wpdb->posts ORDER BY comment_count DESC LIMIT 0 , 3");
		foreach ($result as $post) {
			setup_postdata($post);
			$postid = $post->ID;
			$title = $post->post_title;
			$commentcount = $post->comment_count;
			if ($commentcount != 0) {
			?>
				<div class="popularbox clearfix">
					<div class="popular-thumb left">
						<?php if( get_post_meta( $postid, "image_value", true ) ) : ?>
							<img src="<?php bloginfo( 'template_directory' ); ?>/timthumb.php?src=<?php echo get_post_meta( $postid, "image_value", true ); ?>&amp;w=50&amp;h=50&amp;zc=1" border="0" alt="<?php the_title(); ?>" />
						<?php else : ?>
							<img src="<?php bloginfo( 'template_directory' ); ?>/timthumb.php?src=<?php echo wp_catch_first_image('s'); ?>&amp;w=50&amp;h=50&amp;zc=1" border="0" alt="thumb" />
						<?php endif; ?>
					</div>
					<div class="popular-meta left">
						<h2 class="ptitle"><a href="<?php echo get_permalink($postid); ?>" title="Permalink to this <?php echo $title; ?>"><?php echo $title; ?></a></h2>
						<span class="ptime"><?php the_time('d F Y'); ?></span>
					</div>
				</div>
			<?php
			}
		}
	}
	
	// Get Recet Comments Function
	function dp_recent_comments($no_comments = 5, $comment_len = 65) {
		global $wpdb;
		$request = "SELECT * FROM $wpdb->comments";
		$request .= " JOIN $wpdb->posts ON ID = comment_post_ID";
		$request .= " WHERE comment_approved = '1' AND post_status = 'publish' AND post_password =''";
		$request .= " ORDER BY comment_date DESC LIMIT $no_comments";
		$comments = $wpdb->get_results($request);
		if ($comments) {
			foreach ($comments as $comment) {
				ob_start();
				?>
					<li>
						<a href="<?php echo get_permalink( $comment->comment_post_ID ) . '#comment-' . $comment->comment_ID; ?>"><?php echo dp_get_author($comment); ?>: <span style="color:#333; "></a><?php echo strip_tags(substr(apply_filters('get_comment_text', $comment->comment_content), 0, $comment_len)); ?></span> ...
					</li>
				<?php
				ob_end_flush();
			}
		} else {
			echo '<li>'.__('No comments', 'banago').'';
		}
	}
	
	function dp_get_author($comment) {
		$author = "";
		if ( empty($comment->comment_author) )
			$author = __('Anonymous', 'banago');
		else
			$author = $comment->comment_author;
		return $author;
	}
	
	function wp_limit_post($max_char, $more_link_text = '[...]',$notagp = false, $stripteaser = 0, $more_file = '') {
		$content = get_the_content($more_link_text, $stripteaser, $more_file);
		$content = apply_filters('the_content', $content);
		$content = str_replace(']]>', ']]&gt;', $content);
		$content = strip_tags($content);
	
	   if (strlen($_GET['p']) > 0) {
	   	  if($notagp) {
		  echo substr($content,0,$max_char);
		  }
		  else {
		  echo '<p>';
		  echo substr($content,0,$max_char);
		  echo "</p>";
		  }
	   }
	   else if ((strlen($content)>$max_char) && ($espacio = strpos($content, " ", $max_char ))) {
			$content = substr($content, 0, $espacio);
			$content = $content;
			if($notagp) {
		    echo substr($content,0,$max_char);
			echo $more_link_text;
		    }
		    else {
			echo '<p>';
			echo substr($content,0,$max_char);
			echo $more_link_text;
			echo "</p>";
			}
	   }
	   else {
	      if($notagp) {
		  echo substr($content,0,$max_char);
		  }
		  else {
		  echo '<p>';
		  echo substr($content,0,$max_char);
		  echo "</p>";
		  }
	   }
	}
	
	// ads widget option
	
	function ads_widget() {
		$settings = get_option( 'ads_sidebar_widget' );  
		$title = $settings[ 'title' ];
		$code_one = $settings['codex_one'];
		$code_two = $settings['codex_two'];
		$code_three = $settings['codex_three'];
		$code_four = $settings['codex_four'];
	?>
		<div class="widget ads">
			<div style="width:270px; margin:0 auto; " class="clearfix">
				<div class="ads125box"><?php if($code_one != '') { echo $code_one; } else { echo '<a href="mailto:'.get_bloginfo('admin_email').'" title="Advertise here"><img src="'.get_bloginfo('template_directory').'/images/125x125x_blank1.jpg" border="0" alt="125x125" /></a>'; } ?></div>
				<div class="ads125box"><?php if($code_two != '') { echo $code_two; } else { echo '<a href="mailto:'.get_bloginfo('admin_email').'" title="Advertise here"><img src="'.get_bloginfo('template_directory').'/images/125x125x_blank1.jpg" border="0" alt="125x125" /></a>'; } ?></div>
				<div class="ads125box"><?php if($code_three != '') { echo $code_three; } else { echo '<a href="mailto:'.get_bloginfo('admin_email').'" title="Advertise here"><img src="'.get_bloginfo('template_directory').'/images/125x125x_blank1.jpg" border="0" alt="125x125" /></a>'; } ?></div>
				<div class="ads125box"><?php if($code_four != '') { echo $code_four; } else { echo '<a href="mailto:'.get_bloginfo('admin_email').'" title="Advertise here"><img src="'.get_bloginfo('template_directory').'/images/125x125x_blank1.jpg" border="0" alt="125x125" /></a>'; } ?></div>
				<div class="clear"></div>
			</div>
		</div>
	<?php
	}
	
	function ads_widget_admin() {
		$settings = get_option( 'ads_sidebar_widget' );
	
		if( isset( $_POST[ 'ads_sidebar_widget' ] ) ) {
			$settings[ 'title' ] = strip_tags( stripslashes( $_POST[ 'input_code_title' ] ) );
			$settings[ 'codex_one' ] = stripslashes( $_POST[ 'input_codex_one' ] );
			$settings[ 'codex_two' ] = stripslashes( $_POST[ 'input_codex_two' ] );
			$settings[ 'codex_three' ] = stripslashes( $_POST[ 'input_codex_three' ] );
			$settings[ 'codex_four' ] = stripslashes( $_POST[ 'input_codex_four' ] );
			update_option( 'ads_sidebar_widget', $settings );
		}
		
		$settings = get_option( 'ads_sidebar_widget' );  
		$title = $settings[ 'title' ];
		$code_one = $settings['codex_one'];
		$code_two = $settings['codex_two'];
		$code_three = $settings['codex_three'];
		$code_four = $settings['codex_four'];
	?>
		<p>
		<label for="widget_code_title">Ad Title</label><br />
		<input type="text" name="input_code_title" id+"input_code_title" value="<?php echo $title; ?>" />
		<p>
			<label for="input_codex_one">Place Ad Code #1 Below:</label><br />
			<textarea name="input_codex_one" id="input_codex_one" cols="" rows="6" style="width:290px;"><?php echo $code_one; ?></textarea><br/>
			
			<label for="input_codex_two">Place Ad Code #2 Below:</label><br />
			<textarea name="input_codex_two" id="input_codex_two" cols="" rows="6" style="width:290px;"><?php echo $code_two; ?></textarea><br/>
			
			<label for="input_codex_three">Place Ad Code #3 Below:</label><br />
			<textarea name="input_codex_three" id="input_codex_three" cols="" rows="6" style="width:290px;"><?php echo $code_three; ?></textarea><br/>
			
			<label for="input_codex_four">Place Ad Code #4 Below:</label><br />
			<textarea name="input_codex_four" id="input_codex_four" cols="" rows="6" style="width:290px;"><?php echo $code_four; ?></textarea><br/>
		</p>
		<input type="hidden" id="ads_sidebar_widget" name="ads_sidebar_widget" value="1" />
	<?php
	}
	
	
	if ( function_exists('register_sidebar_widget') ) { register_sidebar_widget('Newspress 125x125 Ad', 'ads_widget'); }
	
	if ( function_exists('register_widget_control') ) { register_widget_control( 'Newspress 125x125 Ad', 'ads_widget_admin', 300, 200 ); }
	
	// end
	
	/* Custom Write Panel
	/* ----------------------------------------------*/
	
	$meta_boxes =
		array(
			"index_thumb" => array(
				"name" => "image",
				"type" => "text",
				"std" => "",
				"title" => "Image",
				"description" => "Using the \"<em>Add an Image</em>\" button, upload an image and paste the URL here. Images will be resized. This is the list of post thumbnail image.")
		);
	
	function meta_boxes() {
		global $post, $meta_boxes;
		
		echo'
			<table class="widefat" cellspacing="0" id="inactive-plugins-table">
			
				<tbody class="plugins">';
		
				foreach($meta_boxes as $meta_box) {
					$meta_box_value = get_post_meta($post->ID, $pre.'_value', true);
					
					if($meta_box_value == "")
						$meta_box_value = $meta_box['std'];
					
					echo'<tr valign="top">
							<td width="100" align="center" valign="top">';		
								echo'<input type="hidden" name="'.$meta_box['name'].'_noncename" id="'.$meta_box['name'].'_noncename" value="'.wp_create_nonce( plugin_basename(__FILE__) ).'" />';
								echo'<h2>'.$meta_box['title'].'</h2>';
					echo'	</td>
							<td>';
								echo'<input type="text" name="'.$meta_box['name'].'_value" value="'.get_post_meta($post->ID, $meta_box['name'].'_value', true).'" size="100%" /><br />';
								echo'<p><label for="'.$meta_box['name'].'_value">'.$meta_box['description'];
					echo'	</td>
						</tr>';
				}
		
		echo'
				</tbody>
			</table>';		
	}
	
	function create_meta_box() {
		global $theme_name;
		if ( function_exists('add_meta_box') ) {
			add_meta_box( 'new-meta-boxes', 'Post Option', 'meta_boxes', 'post', 'normal', 'high' );
		}
	}
	
	function save_postdata( $post_id ) {
		global $post, $meta_boxes;
		
		foreach($meta_boxes as $meta_box) {
			// Verify
			if ( !wp_verify_nonce( $_POST[$meta_box['name'].'_noncename'], plugin_basename(__FILE__) )) {
				return $post_id;
			}
		
			if ( 'page' == $_POST['post_type'] ) {
				if ( !current_user_can( 'edit_page', $post_id ))
					return $post_id;
			} else {
				if ( !current_user_can( 'edit_post', $post_id ))
					return $post_id;
			}
		
			$data = $_POST[$meta_box['name'].'_value'];
			
			if(get_post_meta($post_id, $meta_box['name'].'_value') == "")
				add_post_meta($post_id, $meta_box['name'].'_value', $data, true);
			elseif($data != get_post_meta($post_id, $pre.'_value', true))
				update_post_meta($post_id, $meta_box['name'].'_value', $data);
			elseif($data == "")
				delete_post_meta($post_id, $meta_box['name'].'_value', get_post_meta($post_id, $meta_box['name'].'_value', true));
		}
	}
	
	
	add_action('admin_menu', 'create_meta_box');
	add_action('save_post', 'save_postdata');
	
	/* Custom Settings Page
	/* ----------------------------------------------*/
	
	$themename = "Newspress";
	$pre = "npress";
	
	$options = array();
	
	$functions_path = TEMPLATEPATH . '/inc/functions/';
	
	define( OPTION_FILES, 'base.php' );
	
	function startit() {
		global $themename, $options, $pre, $functions_path;
			
		if (function_exists('add_menu_page')) {
			$basename = basename( OPTION_FILES );
		
			// Create the main Menu
			add_menu_page( $themename . ' Options', $themename . ' Options', 8, $basename, 'build_options' );
			
			// Basic Options (Default Sub tab)
			add_submenu_page( $basename, __( $themename . ' Options &raquo; General' ), __( 'Basic Options' ), 8, 'base.php', 'build_options' );
						
		}
	}
	
	function build_options() {
		global $themename, $pre, $functions_path;
				
		$page = $_GET["page"];
		
		include( $functions_path . '/options/' . $page );
				
		if ( 'save' == $_REQUEST['action'] ) {
					
			foreach ($options as $value) {
				if( isset( $_REQUEST[ $value['id'] ] ) ) { 
					update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); 
				} else { 
					delete_option( $value['id'] ); 
				} 
			}
		} 
			
		include( $functions_path . '/build.php' );
	}
	
	add_action('admin_menu', 'startit');
	
	// end
	
?>