<?php

/**

 * @package WordPress

 * @subpackage newspress

 */

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>

<head profile="http://gmpg.org/xfn/11">

	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

	<title><?php wp_title('&laquo;', true, 'right'); ?> <?php bloginfo('name'); ?></title>

	<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />

	<link rel="alternate" type="application/atom+xml" title="<?php bloginfo('name'); ?> Atom Feed" href="<?php bloginfo('atom_url'); ?>" />

	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

	<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>

	<?php wp_head(); ?>

	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />

	<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/jquery.min.js"></script>

	<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/jquery.jcarousel.pack.js"></script>

	<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/supersubs.js"></script>

	<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/superfish.js"></script>

	<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/custom.js"></script>

	<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/pngfix.js"></script>

	<script type="text/javascript">

		// fix chrome - safari

		window.onload = equalHeight;

		

		// fix png ie

		DD_belatedPNG.fix('.boxCaption');

	</script>

</head>

<body>

<div id="base" class="container_12">

	<div id="header">

		<div id="branding" class="clearfix">

			<div class="blog-head left">

				<span class="blogdescription"><?php bloginfo('description'); ?></span>

				<h1 class="blogtitle"><a href="<?php bloginfo('url'); ?>"><?php bloginfo('name'); ?></a></h1>

			</div>

			<div class="adbox-top right">

				<div style="width:468px; height:60px; background-color:#e9e9e9; ">

					<?php if(get_option('npress_settings_ads-top')) : ?><?php echo stripslashes(get_option('npress_settings_ads-top')); ?><?php else : ?><img src="<?php bloginfo('template_directory'); ?>/images/ads-top.jpg" border="0" /><?php endif; ?>

				</div>

			</div>

		</div>

		<div id="navigation" class="clearfix">

			<ul class="sf-menu left">

				<li><a href="<?php bloginfo('url'); ?>">HOME</a></li>

				<?php wp_list_pages('title_li=&depth=3'); ?>

			</ul>

			<div class="right rssfeed clearfix">

				<a href="<?php bloginfo('comments_rss2_url'); ?>" class="right">Comments</a>

				<a href="<?php bloginfo('rss2_url'); ?>" class="right">Posts</a>

			</div>

		</div>

	</div>

	<div id="featured" class="clearfix">

		<?php $featured_post = new WP_Query('showposts=4&category_name='.get_option('npress_settings_featured-catname')); $i=1; ?>

		<?php if ($featured_post->have_posts()) : while ($featured_post->have_posts()) : $featured_post->the_post(); ?>

		<div class="item grid_3">

			<?php if( get_post_meta( $post->ID, "image_value", true ) ) : ?>

				<img src="<?php bloginfo( 'template_directory' ); ?>/timthumb.php?src=<?php echo get_post_meta( $post->ID, "image_value", true ); ?>&amp;w=220&amp;h=250&amp;zc=1" border="0" alt="<?php the_title(); ?>" />

			<?php else : ?>

				<img src="<?php bloginfo( 'template_directory' ); ?>/timthumb.php?src=<?php echo wp_catch_first_image(); ?>&amp;w=220&amp;h=250&amp;zc=1" border="0" alt="thumb" />

			<?php endif; ?>

			<div class="boxCaption">

				<h2><a href="<?php the_permalink(); ?>" title="Permalink to <?php the_title(); ?>"><?php the_title(); ?></a></h2>

				<div>

					<?php wp_limit_post(180,'.',true); ?>

				</div>

			</div>

		</div>

		<?php endwhile; endif; ?>

	</div>